%define shortname	tagpy

Name:		python-tagpy
Version:	2013.1
Release:	%mkrel 26
Summary:	Python bindings for TagLib to read and write music files tags
License:	MIT
Group:		Development/Python
Url:		http://mathema.tician.de/software/tagpy
Source0:	https://pypi.io/packages/source/t/%{shortname}/%{shortname}-%{version}.tar.gz
# from Debian
Patch0:		taglib-1.8.patch
# from upstream
Patch1:		use_setuptools.patch
BuildRequires:	pkgconfig(taglib)
BuildRequires:	boost-python3-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%package -n python3-%{shortname}
Summary:	Python 3 bindings for TagLib to read and write music files tags
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{shortname}}

%description -n python3-%{shortname}
TagPy is a Python 3 crust (or a set of Python 3 bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%prep
%setup -q -n %{shortname}-%{version}
%autopatch -p1
rm -rf tagpy.egg-info
chmod -x test/tagrename

%build
CFLAGS="%{optflags} `pkg-config --cflags taglib`" \
CFLAGS="%{optflags} `pkg-config --cflags taglib`" \
%py3_build

%install
%py3_install

%files -n python3-%{shortname}
%doc test/*.py test/tagrename
%{python3_sitearch}/%{shortname}/
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info



%changelog
* Thu Dec 31 2020 wally <wally> 2013.1-26.mga8
+ Revision: 1666811
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 2013.1-25.mga8
+ Revision: 1662053
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 2013.1-24.mga8
+ Revision: 1578106
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 2013.1-23.mga8
+ Revision: 1544890
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 2013.1-22.mga8
+ Revision: 1483425
- rebuild for boost 1.72.0
+ tv <tv>
- revert underlinking "fix"
- "fix" underlinking

* Mon Oct 14 2019 joequant <joequant> 2013.1-21.mga8
+ Revision: 1452891
- fix dependency for boost-python

* Mon Oct 14 2019 daviddavid <daviddavid> 2013.1-20.mga8
+ Revision: 1452890
- fix for boost_python3 lib
+ tv <tv>
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 daviddavid <daviddavid> 2013.1-19.mga7
+ Revision: 1354121
- rebuild for new Python 3.7
- rename python-tagpy to python2-tagpy

* Tue Oct 16 2018 wally <wally> 2013.1-18.mga7
+ Revision: 1321089
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 2013.1-17.mga7
+ Revision: 1300610
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 2013.1-16.mga7
+ Revision: 1184767
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 2013.1-15.mga7
+ Revision: 1178348
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 2013.1-14.mga7
+ Revision: 1154547
- rebuild with latest boost

* Sat Aug 05 2017 pterjan <pterjan> 2013.1-13.mga7
+ Revision: 1135657
- Rebuild for python 3.6

* Sun Dec 27 2015 daviddavid <daviddavid> 2013.1-12.mga6
+ Revision: 916076
- rebuild for new boost 1.60.0
- use new python macros

* Thu Oct 08 2015 tv <tv> 2013.1-11.mga6
+ Revision: 887729
- rebuild for python 3.5

* Sun Sep 27 2015 tv <tv> 2013.1-10.mga6
+ Revision: 884221
- rebuild for new boost

* Sun Aug 02 2015 daviddavid <daviddavid> 2013.1-9.mga6
+ Revision: 860615
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 2013.1-8.mga5
+ Revision: 743038
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2013.1-7.mga5
+ Revision: 729879
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2013.1-6.mga5
+ Revision: 688376
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2013.1-5.mga5
+ Revision: 629054
- Rebuild for new Python

* Sat Feb 08 2014 barjac <barjac> 2013.1-4.mga5
+ Revision: 586762
- rebuild against boost-1.55

* Tue Oct 22 2013 umeabot <umeabot> 2013.1-3.mga4
+ Revision: 544286
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2013.1-2.mga4
+ Revision: 499526
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 04 2013 philippem <philippem> 2013.1-1.mga4
+ Revision: 475155
- fix boost::python error due to overloaded method (patch from debian)
- use setuptools instead of distribute (patch from upstream)
- update to 2013.1

* Wed Jul 10 2013 fwang <fwang> 0.94.8-10.mga4
+ Revision: 452496
- rebuild for new boost

* Thu Apr 11 2013 ennael <ennael> 0.94.8-9.mga3
+ Revision: 409605
- rebuild for boost 1.53

* Sun Jan 13 2013 umeabot <umeabot> 0.94.8-8.mga3
+ Revision: 379555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.94.8-7.mga3
+ Revision: 333087
- rebuild for new boost
+ joequant <joequant>
- fix boost::python error due to overloaded method
+ philippem <philippem>
- add boost patch

* Thu Aug 02 2012 fwang <fwang> 0.94.8-4.mga3
+ Revision: 277961
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.94.8-3.mga3
+ Revision: 250113
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 0.94.8-2.mga2
+ Revision: 173623
- rebuild for new boost

* Wed Sep 07 2011 tv <tv> 0.94.8-1.mga2
+ Revision: 140046
- fix configure call
- new release
- no useless macros (rm, python)
- drop patch 1, source 1 (license is in sources)
+ jquelin <jquelin>
- make sure cauldron version is higher
+ fwang <fwang>
- rebuild for new boost

* Wed Jun 29 2011 jquelin <jquelin> 0.94.5-1.mga2
+ Revision: 115623
- imported package python-tagpy


* Wed Jun 29 2011 Jerome Quelin <jquelin@mageia.org> 0.94.5-1.mga2
- import from mandriva
